ImageTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class ImageTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.BaseHandlerTag
                  org.apache.struts.taglib.html.SubmitTag
                      org.apache.struts.taglib.html.ImageTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag

Direct Known Subclasses:
  ELImageTag, NestedImageTag

    public class ImageTag

extends SubmitTag

Tag for input fields of type "image".

Version:
  $Rev: 471754 $ $Date: 2005-04-26 20:11:47 -0400 (Tue, 26 Apr 2005) $
See Also:
  Serialized Form

Field Summary
`protected String` | `align` The alignment for this image.
`protected String` | `border` The border size around the image.
`protected String` | `module` The module prefix (beginning with a slash) which will be used to find the action for this link.
`protected String` | `page` The module-relative URI of the image.
`protected String` | `pageKey` The message resources key of the module-relative URI of the image.
`protected String` | `src` The URL of this image.
`protected String` | `srcKey` The message resources key for the URL of this image.

Fields inherited from class org.apache.struts.taglib.html.SubmitTag
`messages, property, text, value`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, doDisabled, doReadonly, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ImageTag()`

Method Summary
`String` | `getAlign()` Deprecated. Align attribute is deprecated in HTML 4.x.
`String` | `getBorder()`
`protected String` | `getElementOpen()` Render the opening element.
`String` | `getModule()`
`String` | `getPage()`
`String` | `getPageKey()`
`String` | `getSrc()`
`String` | `getSrcKey()`
`protected void` | `prepareButtonAttributes(StringBuffer results)` Render the button attributes
`void` | `release()` Release any acquired resources.
`void` | `setAlign(String align)` Deprecated. Align attribute is deprecated in HTML 4.x.
`void` | `setBorder(String border)`
`void` | `setModule(String module)`
`void` | `setPage(String page)`
`void` | `setPageKey(String pageKey)`
`void` | `setSrc(String src)`
`void` | `setSrcKey(String srcKey)`
`protected String` | `src()` Return the base source URL that will be rendered in the `src` property for this generated element, or `null` if there is no such URL.

Methods inherited from class org.apache.struts.taglib.html.SubmitTag
`doAfterBody, doEndTag, doStartTag, getDefaultValue, getProperty, getValue, prepareName, prepareValue, setProperty, setValue`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`doErrorsExist, getAccesskey, getAlt, getAltKey, getBundle, getDir, getDisabled, getElementClose, getErrorKey, getErrorStyle, getErrorStyleClass, getErrorStyleId, getIndexed, getIndexValue, getLang, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareAttribute, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareInternationalization, prepareKeyEvents, prepareMouseEvents, prepareOtherAttributes, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDir, setDisabled, setErrorKey, setErrorStyle, setErrorStyleClass, setErrorStyleId, setIndexed, setLang, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### align

    protected String align

  The alignment for this image.

### border

    protected String border

  The border size around the image.

### page

    protected String page

  The module-relative URI of the image.

### pageKey

    protected String pageKey

  The message resources key of the module-relative URI of the image.

### src

    protected String src

  The URL of this image.

### srcKey

    protected String srcKey

  The message resources key for the URL of this image.

### module

    protected String module

  The module prefix (beginning with a slash) which will be used to find the action for this link.

Constructor Detail

### ImageTag

    public ImageTag()

Method Detail

### getAlign

    public String getAlign()

  Deprecated. Align attribute is deprecated in HTML 4.x.

### setAlign

    public void setAlign(String align)

  Deprecated. Align attribute is deprecated in HTML 4.x.

### getBorder

    public String getBorder()

### setBorder

    public void setBorder(String border)

### getPage

    public String getPage()

### setPage

    public void setPage(String page)

### getPageKey

    public String getPageKey()

### setPageKey

    public void setPageKey(String pageKey)

### getSrc

    public String getSrc()

### setSrc

    public void setSrc(String src)

### getSrcKey

    public String getSrcKey()

### setSrcKey

    public void setSrcKey(String srcKey)

### getModule

    public String getModule()

### setModule

    public void setModule(String module)

### getElementOpen

    protected String getElementOpen()

  Render the opening element.

  Overrides:
    `getElementOpen` in class `SubmitTag`
  Returns:
    The opening part of the element.

### prepareButtonAttributes

    protected void prepareButtonAttributes(StringBuffer results)
                                    throws JspException

  Render the button attributes

  Overrides:
    `prepareButtonAttributes` in class `SubmitTag`
  Parameters:
    `results` - The StringBuffer that output will be appended to.
  Throws:
    `JspException`

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `SubmitTag`

### src

    protected String src()
                  throws JspException

  Return the base source URL that will be rendered in the `src` property for this generated element, or `null` if there is no such URL.

  Throws:
    `JspException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.